DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureValueFunction

Measurement feature #value function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureValueFunction) ( measurement, featureID, objectID, physDims, data, format, resources )

## FUNCTION

The `value` function should return the measurement values produced by the measurement function, for one specific object. This function is called by `MeasurementObjectValue`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | ID of the object to be measured
`dip_PhysicalDimensions` | `physDims` | Physical dimensions data structure
`void **` | `data` | Pointer to a measurement-specific internal data block
`dipf_MeasurementValueFormat *` | `format` | Pointer to a data format label, See `MeasurementObjectValue`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementFeatureRegister`, `MeasurementObjectValue`